package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 农事任务采收对象 FmsTaskpick
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public class FmsTaskpick extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农事任务采收标识 */
    private String taskpickId;

    /** 农事任务标识 */
    @Excel(name = "农事任务标识")
    private String taskId;
    /** 农事任务采收编号 */
    @Excel(name = "农事任务采收编号")
    private String pickNo;

    /** 农事任务采收面积 */
    @Excel(name = "农事任务采收面积")
    private BigDecimal pickArea;

    /** 农事任务采收重量 */
    @Excel(name = "农事任务采收重量")
    private BigDecimal pickWeight;

    /** 农事任务采收日期 */
    @Excel(name = "农事任务采收日期")
    private String pickDate;

    /** 农事任务采收备注 */
    @Excel(name = "农事任务采收备注")
    private String pickRemark;

    /** 农事任务采收入库状态 */
    private String pickChangestatus;

    public String getPickChangestatus() {
        return pickChangestatus;
    }

    public void setPickChangestatus(String pickChangestatus) {
        this.pickChangestatus = pickChangestatus;
    }

    public String getPickNo() {
        return pickNo;
    }

    public void setPickNo(String pickNo) {
        this.pickNo = pickNo;
    }

    public void setTaskpickId(String taskpickId)
    {
        this.taskpickId = taskpickId;
    }

    public String getTaskpickId()
    {
        return taskpickId;
    }
    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getTaskId()
    {
        return taskId;
    }
    public void setPickArea(BigDecimal pickArea)
    {
        this.pickArea = pickArea;
    }

    public BigDecimal getPickArea()
    {
        return pickArea;
    }
    public void setPickWeight(BigDecimal pickWeight)
    {
        this.pickWeight = pickWeight;
    }

    public BigDecimal getPickWeight()
    {
        return pickWeight;
    }
    public void setPickDate(String pickDate)
    {
        this.pickDate = pickDate;
    }

    public String getPickDate()
    {
        return pickDate;
    }
    public void setPickRemark(String pickRemark)
    {
        this.pickRemark = pickRemark;
    }

    public String getPickRemark()
    {
        return pickRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskpickId", getTaskpickId())
            .append("taskId", getTaskId())
            .append("pickArea", getPickArea())
            .append("pickWeight", getPickWeight())
            .append("pickDate", getPickDate())
            .append("pickRemark", getPickRemark())
            .append("pickNo", getPickNo())
            .append("pickChangestatus", getPickChangestatus())
            .toString();
    }
}
